> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Object's Activities

> This API returns the data of a specific Activity Type listed in the query param of a specific conversation (object). Use the ActivityType Enum listed above to receive the desired information.<br><br>(GET) /objects/OBJECT_ID/activities?activityType=X_from_Enum<br><br>Example: To see the remarks added to the conversation (activity type #1)<br>https://api.commbox.io/objects/56575395/activities?activityType=1

## OpenAPI

````json GET /objects/{OBJECT_ID}/activities
{
  "openapi": "3.0.3",
  "info": {
    "title": "CommBox API",
    "x-logo": {
      "url": "https://www.commbox.io/logo/commbox_logo_large.png"
    },
    "version": "2.07",
    "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
    "contact": {
      "name": "commbox",
      "url": "https://www.commbox.io",
      "email": "contactus@commbox.io"
    }
  },
  "servers": [
    {
      "url": "https://api.commbox.io/",
      "description": "Production server"
    }
  ],
  "paths": {
    "/objects/{OBJECT_ID}/activities": {
      "get": {
        "tags": [
          "Objects"
        ],
        "summary": "Get Object's Activities",
        "description": "This API returns the data of a specific Activity Type listed in the query param of a specific conversation (object). Use the ActivityType Enum listed above to receive the desired information.<br><br>(GET) /objects/OBJECT_ID/activities?activityType=X_from_Enum<br><br>Example: To see the remarks added to the conversation (activity type #1)<br>https://api.commbox.io/objects/56575395/activities?activityType=1",
        "operationId": "Get_Object_Activities",
        "parameters": [
          {
            "name": "OBJECT_ID",
            "in": "path",
            "description": "Object Id is a CommBox generated number for the conversation.",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/OBJECT_ID/schema"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation successful",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "200"
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation successful"
                    },
                    "response_time": {
                      "type": "string",
                      "example": "2024-10-30T10:45:41.6038344Z"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "objectId": {
                            "description": "Conversation ID",
                            "type": "string",
                            "example": "383591"
                          },
                          "user": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 536267
                              },
                              "first_name": {
                                "type": "string",
                                "example": "Sam"
                              },
                              "last_name": {
                                "type": "string",
                                "example": "Adams"
                              },
                              "identity": {
                                "type": "object",
                                "properties": {
                                  "identityId": {
                                    "description": "Agent's ID",
                                    "type": "integer",
                                    "example": 547219
                                  },
                                  "thumbnailUrl": {
                                    "type": "string",
                                    "example": ""
                                  }
                                }
                              }
                            }
                          },
                          "type": {
                            "description": "The activity type - see Enum",
                            "type": "integer",
                            "example": 1
                          },
                          "data": {
                            "description": "The content of activity recorded",
                            "type": "string",
                            "example": "{\"text\":\"Sent a link to video Chat - not responded\"}"
                          },
                          "createdTime": {
                            "description": "Activity creation time",
                            "type": "string",
                            "example": "2024-10-30T13:23:33"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400
                    },
                    "description": {
                      "type": "string",
                      "example": "Bad Request"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 401
                    },
                    "description": {
                      "type": "string",
                      "example": "Unauthorized access"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found - The requested resource is not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 404
                    },
                    "description": {
                      "type": "string",
                      "example": "Not found"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 429
                    },
                    "description": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error - The server could not return the representation due to an internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 500
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation failed"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                },
                "example": {
                  "status": 500,
                  "description": "Operation failed",
                  "response_time": "2025-04-15T07:24:52.956691Z"
                }
              }
            }
          },
          "501": {
            "description": "Not Implemented - The requested operation is not supported"
          }
        }
      }
    }
  }
}
````

